open Yaml;;

let parser = yaml_parser_initialize (input stdin) in
try
	while
		match yaml_parser_parse parser with
		| YAML_STREAM_END_EVENT, _, _ -> false
		| _ -> true
	do () done
with
| YamlError ((YAML_SCANNER_ERROR | YAML_PARSER_ERROR), msg) ->
	let _, line, column = yaml_parser_problem_mark parser in
	prerr_int (line + 1);
	prerr_char ':';
	prerr_int (column + 1);
	prerr_string ": ";
	prerr_string msg;
	prerr_newline ();
	exit 1
;;
